Mono.Cairo 1.0.5000.0 2.0.0.0 System.ValueType This structure holds information about a single glyph when drawing or measuring text.

A font is (in simple terms) a collection of shapes used to draw text. A glyph is one of these shapes. There can be multiple glyphs for a single character (alternates to be used in different contexts, for example), or a glyph can be a ligature of multiple characters. Cairo doesn't expose any way of converting input text into glyphs, so in order to use the Cairo interfaces that take arrays of glyphs, you must directly access the appropriate underlying font system.

Note that the offsets given by @x and @y are not cumulative. When drawing or measuring text, each glyph is individually positioned with respect to the overall origin.

- Constructor
  A value as index.
  A value as x
  A value as y
  Sets the index, x and y values
  The x value represents the offset in the X direction between the origin used for drawing or measuring the string and the origin of this glyph. The y value represents the offset in the Y direction between the origin used for drawing or measuring the string and the origin of this glyph.
  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` the other object Compares this Glyph object with another one for equality. True if this Glyph is equal to the other, in all other cases false.
- Method
  1.0.5000.0
  2.0.0.0
  System.Int32 Compute a hash for the Glyph The hash value for the Glyph
- Property
  System.Int64 Glyph index in the font. The exact interpretation of the glyph index depends on the font technology being used. A representing the index 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` The first Glyph The other Glyph Checks the equality of two Glyphs A representing the result 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` `` The first Glyph The other Glyph Checks the inequality of two Glyphs A representing the result 1.0.5000.0 2.0.0.0
- Property
  System.Double The offset in the X direction between the origin used for drawing or measuring the string and the origin of this glyph. A representing X 1.0.5000.0 2.0.0.0
- Property
  System.Double The offset in the Y direction between the origin used for drawing or measuring the string and the origin of this glyph. A representing Y 1.0.5000.0 2.0.0.0